# This file is auto generated.
# Remove/modify this header if you want to customize the operation.
mutation mcsStorefrontCheckoutV1_createCheckout_mutation($baseSiteId: String!, $input: mcsStorefrontCheckoutV1_CreateCheckout_Input, $userId: String!) {
  mcsStorefrontCheckoutV1_createCheckout(
    baseSiteId: $baseSiteId
    input: $input
    userId: $userId
  ) {
    ... on mcsStorefrontCheckoutV1_ErrorResponse {
      _messages {
        code
        data
        kind
        message
        target
      }
      error {
        code
        details {
          code
          message
          target
        }
        message
        moreInfo
        status
        target
      }
    }
    ... on mcsStorefrontCheckoutV1_createCheckout_201_response {
      _messagesListmcsStorefrontCheckoutV1_ApiMessage: _messages {
        codemcsStorefrontCheckoutV1_mutation_createCheckout_oneOf_0_allOf_1__messages_items_codeNonNull: code
        kindmcsStorefrontCheckoutV1_mutation_createCheckout_oneOf_0_allOf_1__messages_items_kindNonNull: kind
        message
        targetmcsStorefrontCheckoutV1_mutation_createCheckout_oneOf_0_allOf_1__messages_items_target: target
      }
      billingAddress {
        addressLine1
        addressLine2
        companyName
        country {
          code
          name
        }
        district
        firstName
        id
        lastName
        phone
        postalCode
        region {
          code
          codeShort
          country
          name
        }
        title
        titleCode
        town
      }
      costCenter {
        code
        name
      }
      currency {
        code
        name
        symbol
      }
      deliveryOption {
        code
        deliveryCost
        description
        name
      }
      entries {
        basePrice
        id
        product {
          code
          description
          name
          price
        }
        quantity
        totalPrice
      }
      guestCheckout
      guestEmail
      id
      paymentInfo {
        cardNumber
        cardType {
          code
          name
        }
        expiryMonth
        expiryYear
        id
        paymentMethod
        paymentMethodCode
      }
      paymentType {
        code
        name
      }
      purchaseOrderNumber
      shippingAddress {
        addressLine1
        addressLine2
        companyName
        country {
          code
          name
        }
        district
        firstName
        id
        lastName
        phone
        postalCode
        region {
          code
          codeShort
          country
          name
        }
        title
        titleCode
        town
      }
      suggestions {
        address {
          addressLine1
          addressLine2
          country
          district
          postalCode
          region
          town
        }
        id
        singleLineAddress
      }
      totals {
        deliveryCost
        price
        priceWithTax
        subTotal
        tax
      }
    }
  }
}